# Personal Scripts Repository

Welcome to my personal scripts repository! This repository contains a collection of useful scripts in various programming languages. Each script is self-contained, making it easy to install and use. Additionally, there's an `install.pl` script provided, which helps with installing and updating the scripts.

## Installation and Updates

To install and update the scripts from this repository, simply run the `install.pl` script:

```bash
perl -S install.pl
```

This script will automatically check out the latest version of the scripts from the 'main' branch and install them to /usr/local/bin. It also handles updates by fetching the latest changes from the repository.

## Usage

Once the installation is complete, you can use any of the scripts in this repository by simply typing their names in your terminal. For example:

```
script-name
```

Replace script-name with the name of the script you want to run.

## License

Each script in this repository may have a different license. The license information for each script is contained within comments at the top of the respective script file. Please refer to the specific script's license for more details.